---
title: XMLHttpRequest.abort()
slug: Web/API/XMLHttpRequest/abort
tags:
  - AJAX
  - API
  - Abort XHR
  - Cancel XHR
  - HTTP
  - HttpRequest
  - Method
  - Reference
  - Stop XHR
  - XHR
  - XMLHttpRequest
  - abort
  - cancel
  - stop
---
<div>{{APIRef('XMLHttpRequest')}}</div>

<p>The <code><strong>XMLHttpRequest.abort()</strong></code> method aborts the request if it has already been sent. When a request is aborted, its {{domxref("XMLHttpRequest.readyState", "readyState")}} is changed to {{domxref("XMLHttpRequest.UNSENT")}} (0) and the request's {{domxref("XMLHttpRequest.status", "status")}} code is set to 0.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">XMLHttpRequest.abort()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code></p>

<h2 id="Example">Example</h2>

<p>This example begins loading content from the MDN home page, then due to some condition, aborts the transfer by calling <code>abort()</code>.</p>

<pre class="brush: js">var xhr = new XMLHttpRequest(),
    method = "GET",
    url = "https://developer.mozilla.org/";
xhr.open(method, url, true);

xhr.send();

if (OH_NOES_WE_NEED_TO_CANCEL_RIGHT_NOW_OR_ELSE) {
  xhr.abort();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#the-abort()-method')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td>WHATWG living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequest.abort")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/XMLHttpRequest/Using_XMLHttpRequest">Using XMLHttpRequest</a></li>
</ul>
